Package com.oracle.truffle.api.instrument

## Interface ASTProber

    public interface ASTProber

Enables instrumentation by attaching Probes to some nodes in a (newly created, not yet executed) AST.

See Also:
  `Probe`, `Probe.addProbeListener(com.oracle.truffle.api.instrument.Probe.ProbeListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `probeAST​(Node node)` Walk the AST starting at a node and enable instrumentation at selected nodes by attaching Probes to them.

### Method Detail

#### probeAST

    void probeAST​(Node node)

Walk the AST starting at a node and enable instrumentation at selected nodes by attaching Probes to them.